## univention-nagios 13.0.2-2A~5.0.0.202112031454

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2004-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

SRC := $(wildcard usr/lib/nagios/plugins/check_univention_*_suidwrapper.c)
BIN := $(patsubst %.c,%,$(SRC))

all: $(BIN)

clean:
	$(RM) $(BIN)

## univention-nagios 11.0.1-5A~4.3.0.201802161319

=== debian/changelog ===
univention-nagios (11.0.1-5A~4.3.0.201802161319) ucs4-3-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 16 Feb 2018 13:19:28 +0100

univention-nagios (11.0.1-5) unstable; urgency=medium

  * Bug #46306: fix nagios.log permissions

 -- Felix Botner <botner@univention.de>  Fri, 16 Feb 2018 13:18:16 +0100

univention-nagios (11.0.1-4) unstable; urgency=medium

  * Bug #45942: make sure nagios is stopped before moving files

 -- Felix Botner <botner@univention.de>  Wed, 31 Jan 2018 15:21:19 +0100

univention-nagios (11.0.1-3) unstable; urgency=medium

  * Bug #45942: update path

 -- Felix Botner <botner@univention.de>  Tue, 30 Jan 2018 18:31:22 +0100

univention-nagios (11.0.1-2) unstable; urgency=medium

  * Bug #45942: update path

 -- Felix Botner <botner@univention.de>  Tue, 30 Jan 2018 18:16:52 +0100

univention-nagios (11.0.1-1) unstable; urgency=medium

  * Bug #45942: updated config

 -- Felix Botner <botner@univention.de>  Tue, 30 Jan 2018 16:30:48 +0100

univention-nagios (11.0.1-0) unstable; urgency=medium

  * Bug #45942: nagios (4) update

 -- Felix Botner <botner@univention.de>  Tue, 30 Jan 2018 14:40:55 +0100

univention-nagios (11.0.0-3) unstable; urgency=medium

  * Bug #43336: remove XS-Python-Version

 -- Florian Best <best@univention.de>  Thu, 21 Dec 2017 11:52:28 +0100

univention-nagios (11.0.0-2) unstable; urgency=medium

  * Bug #45685: nagios checks for mdb limit

 -- Felix Botner <botner@univention.de>  Mon, 18 Dec 2017 15:48:10 +0100

univention-nagios (11.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:40 +0100

univention-nagios (10.1.1-6) unstable; urgency=medium

  * Bug #40370: Do not register on old installations automatically

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 02 Oct 2017 17:11:41 +0200

univention-nagios (10.1.1-5) unstable; urgency=medium

  * Bug #40370: Find broken packages (and register on host...)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 02 Oct 2017 16:58:32 +0200

univention-nagios (10.1.1-4) unstable; urgency=medium

  * Bug #45454: for the time being, test with -U in check_univention_smbd

 -- Felix Botner <botner@univention.de>  Wed, 27 Sep 2017 18:21:29 +0200

univention-nagios (10.1.1-3) unstable; urgency=medium

  * Bug #45454: for the time being, test with -U in check_univention_smbd

 -- Felix Botner <botner@univention.de>  Wed, 27 Sep 2017 18:08:31 +0200

univention-nagios (10.1.1-2) unstable; urgency=medium

  * Bug #45414: fix false reports in the nscd check due to a bug in lsof

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 21 Sep 2017 11:01:04 +0200

univention-nagios (10.1.1-1) unstable; urgency=medium

  * Bug #40370: Version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 21 Sep 2017 00:22:50 +0200

univention-nagios (10.0.2-3) unstable; urgency=medium

  * Bug #40370: Version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 21 Sep 2017 00:14:29 +0200

univention-nagios (10.0.2-2) unstable; urgency=medium

  * Bug #40370: Find broken packages

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 20 Sep 2017 23:53:20 +0200

univention-nagios (10.0.2-1) unstable; urgency=medium

  * Bug #40370: Find broken packages

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 20 Sep 2017 20:33:41 +0200

univention-nagios (10.0.1-7) unstable; urgency=medium

  * Bug #45186: add hosts to NSCD2 and remove them
    from NSCD

 -- Felix Botner <botner@univention.de>  Fri, 11 Aug 2017 12:05:57 +0200

univention-nagios (10.0.1-6) unstable; urgency=medium

  * Bug #45186: revert UNIVENTION_NSCD, added new
    UNIVENTION_NSCD2 

 -- Felix Botner <botner@univention.de>  Fri, 11 Aug 2017 11:27:00 +0200

univention-nagios (10.0.1-5) unstable; urgency=medium

  * Bug #42812: Fix undefined variable

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 08 Aug 2017 09:47:19 +0200

univention-nagios (10.0.1-4) unstable; urgency=medium

  * Bug #42812: Fix update path

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 07 Aug 2017 18:03:18 +0200

univention-nagios (10.0.1-3) unstable; urgency=medium

  * Bug #42812: Check the nscd socket instead of the process.

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 05 Jul 2017 16:23:10 +0200

univention-nagios (10.0.1-2) unstable; urgency=low

  * Bug #43470: Handle UCRV */autostart through systemd
  * Bug #43874: help systemd track pidfile

 -- Philipp Hahn <hahn@univention.de>  Wed, 15 Mar 2017 08:52:56 +0100

univention-nagios (10.0.1-1) unstable; urgency=medium

  * Bug #42296: fix apache configuration syntax

 -- Florian Best <best@univention.de>  Tue, 14 Feb 2017 18:06:18 +0100

univention-nagios (10.0.0-3) unstable; urgency=low

  * Bug #42296: removed old apache code/config

 -- Felix Botner <botner@univention.de>  Wed, 08 Feb 2017 12:38:03 +0100

univention-nagios (10.0.0-2) unstable; urgency=medium

  * Bug #42228: ucs-overview → univention

 -- Florian Best <best@univention.de>  Thu, 02 Feb 2017 21:14:19 +0100

univention-nagios (10.0.0-1) unstable; urgency=medium

  * Bug #41963: UCS-4.2 version bump
  * Bug #43241: Transition to libapache2

 -- Philipp Hahn <hahn@univention.de>  Fri, 12 Aug 2016 13:56:56 +0200

univention-nagios (9.0.1-1) unstable; urgency=medium

  * Bump version for UCS 4.1 (Bug #39729)

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 03 Nov 2015 22:18:44 +0100

univention-nagios (8.0.0-5) unstable; urgency=low

  * use FQDN in check_univention_ldap (Bug #27043) 

 -- Felix Botner <botner@univention.de>  Thu, 25 Jun 2015 15:41:37 +0200

univention-nagios (8.0.0-4) unstable; urgency=low

  * removed ucr entry for umc-overview icon / added unset of ucr entry
    (Bug #36316)

 -- Drees Dormann <dormann@univention.de>  Wed, 29 Oct 2014 11:01:34 +0100

univention-nagios (8.0.0-3) unstable; urgency=low



=== debian/control ===
Source: univention-nagios
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends: debhelper (>= 7.0.50~),
 univention-config-dev,
 python-all,
 python-support,
 ucslint-univention
Standards-Version: 3.8.2

Package: univention-nagios-server
Architecture: any
Depends: ${misc:Depends}, ${python:Depends},
 univention-directory-manager-tools (>> 7.0.147),
 nagios,
 nagios-common,
 nagios-doc,
 nagios-images,
 univention-nagios-client (= ${binary:Version}),
 univention-nagios-common (= ${binary:Version}),
 monitoring-plugins,
 nagios-nrpe-plugin,
 libapache2-mod-authnz-pam,
 univention-config (>= 9.0.5-2.443.201312091553),
 univention-base-files,
 univention-directory-listener,
 univention-nagios-cups,
 univention-nagios-squid,
 univention-nagios-dansguardian,
 python-univention-lib (>= 3.0.26-14),
 shell-univention-lib,
Provides: ${python:Provides},
 univention-nagios-group-access
Conflicts: nagios2 (<< 3.0),
 univention-nagios-group-access
Breaks: nagios2 (<< 3.0)
Description: UCS: nagios server support
 This package installs required packages to allow monitoring
 clients by nagios.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: univention-nagios-client
Architecture: any
Depends: ${misc:Depends}, ${python:Depends},
 univention-nagios-common (= ${binary:Version}),
 univention-directory-manager-tools (>> 7.0.147),
 monitoring-plugins,
 nagios-nrpe-server,
 cron,
 dpt-i2o-raidutils,
 univention-config,
 univention-base-files,
 univention-directory-listener,
 shell-univention-lib,
 dnsutils,
 lmdb-utils
Conflicts: nagios2 (<< 3.0)
Breaks: nagios2 (<< 3.0)
Description: UCS: nagios client support
 This package installs the required packages to allow clients
 to be monitored by nagios.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: univention-nagios-common
Architecture: any
Depends: ${misc:Depends}, ${python:Depends},
 univention-directory-manager-tools (>> 7.0.147),
 univention-config,
 univention-directory-listener,
 shell-univention-lib
Conflicts: nagios2 (<< 3.0)
Breaks: nagios2 (<< 3.0)
Description: UCS: nagios client support
 This package installs the required packages to allow clients
 to be monitored by nagios.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Print Server
#  rules file for the debian package
#
# Copyright 2004-2017 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.
#

override_dh_auto_build:
	dh_auto_build
	gcc -o usr/lib/nagios/plugins/check_univention_joinstatus_suidwrapper usr/lib/nagios/plugins/check_univention_joinstatus_suidwrapper.c
	gcc -o usr/lib/nagios/plugins/check_univention_ldap_suidwrapper       usr/lib/nagios/plugins/check_univention_ldap_suidwrapper.c
	gcc -o usr/lib/nagios/plugins/check_univention_winbind_suidwrapper usr/lib/nagios/plugins/check_univention_winbind_suidwrapper.c
	gcc -o usr/lib/nagios/plugins/check_univention_nscd_suidwrapper usr/lib/nagios/plugins/check_univention_nscd_suidwrapper.c
	gcc -o usr/lib/nagios/plugins/check_univention_slapd_mdb_maxsize_suidwrapper usr/lib/nagios/plugins/check_univention_slapd_mdb_maxsize_suidwrapper.c

DS=$(CURDIR)/debian/univention-nagios-server
DC=$(CURDIR)/debian/univention-nagios-client

override_dh_fixperms:
	dh_fixperms
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_joinstatus_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_ldap_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_winbind_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_nscd_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_slapd_mdb_maxsize_suidwrapper

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/univention-nagios-server.conffiles
	rm -f debian/univention-nagios-client.conffiles
	rm -f usr/lib/nagios/plugins/check_univention_joinstatus_suidwrapper
	rm -f usr/lib/nagios/plugins/check_univention_ldap_suidwrapper
	rm -f usr/lib/nagios/plugins/check_univention_winbind_suidwrapper
	rm -f usr/lib/nagios/plugins/check_univention_nscd_suidwrapper
	rm -f usr/lib/nagios/plugins/check_univention_slapd_mdb_maxsize_suidwrapper

override_dh_auto_install:
	univention-install-config-registry
	univention-install-config-registry-info
	univention-install-service-info
	dh_auto_install

override_dh_auto_test:
	ucslint
	dh_auto_test

%:
	dh $@ --with python_support

## univention-nagios 13.0.2-1A~5.0.0.202104201449

=== debian/changelog ===
univention-nagios (13.0.2-1A~5.0.0.202104201449) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 20 Apr 2021 14:49:33 +0200

univention-nagios (13.0.2-1) unstable; urgency=medium

  * Bug #52122: Remove univention-nagios-server

 -- Arvid <requate@univention.de>  Tue, 20 Apr 2021 14:42:46 +0200

univention-nagios (13.0.1-1) unstable; urgency=medium

  * Bug #43686: use systemctl to start stop and restart UDL 

 -- Sebastian Lobinger <lobinger@univention.de>  Fri, 30 Oct 2020 13:41:50 +0100

univention-nagios (13.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:24 +0200

univention-nagios (12.0.1-13) unstable; urgency=medium

  * Bug #51214: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Mon, 04 May 2020 13:32:16 +0200

univention-nagios (12.0.1-12) unstable; urgency=medium

  * Bug #49166: remove python-support

 -- Florian Best <best@univention.de>  Mon, 21 Oct 2019 13:42:25 +0200

univention-nagios (12.0.1-11) unstable; urgency=low

  * Bug #49967: Set PATH for nscd check

 -- Philipp Hahn <hahn@univention.de>  Wed, 02 Oct 2019 07:12:30 +0200

univention-nagios (12.0.1-10) unstable; urgency=low

  * Bug #49967: Check for running nscd only

 -- Philipp Hahn <hahn@univention.de>  Mon, 30 Sep 2019 11:52:05 +0200

univention-nagios (12.0.1-9) unstable; urgency=medium

  * Bug #48422: add slapd mdb nagios check in postinst

 -- Florian Best <best@univention.de>  Mon, 15 Apr 2019 21:51:36 +0200

univention-nagios (12.0.1-8) unstable; urgency=medium

  * Bug #48422: fix postinst

 -- Florian Best <best@univention.de>  Mon, 15 Apr 2019 13:01:32 +0200

univention-nagios (12.0.1-7) unstable; urgency=medium

  * Bug #48422: ucslint

 -- Florian Best <best@univention.de>  Fri, 12 Apr 2019 12:59:29 +0200

univention-nagios (12.0.1-6) unstable; urgency=medium

  * Bug #48422: create objects in postinst

 -- Florian Best <best@univention.de>  Fri, 12 Apr 2019 12:53:48 +0200

univention-nagios (12.0.1-5) unstable; urgency=medium

  * Bug #48422: add check for listener mdb database maxsize
  * Bug #48617: add check for translog mdb database maxsize

 -- Florian Best <best@univention.de>  Fri, 05 Apr 2019 16:33:09 +0200

univention-nagios (12.0.1-4) unstable; urgency=low

  * Bug #48603: Fix local root exploit

 -- Philipp Hahn <hahn@univention.de>  Mon, 04 Feb 2019 15:32:45 +0100

univention-nagios (12.0.1-3) unstable; urgency=low

  * Bug #48603: Fix local root exploit

 -- Philipp Hahn <hahn@univention.de>  Mon, 04 Feb 2019 10:14:27 +0100

univention-nagios (12.0.1-2) unstable; urgency=medium

  * Bug #43426: Fixed Nagios Type Error

 -- Julia Bremer <bremer@univention.de>  Thu, 10 Jan 2019 10:58:19 +0100

univention-nagios (12.0.1-1) unstable; urgency=medium

  * Bug #46969: bindpwdfile support

 -- Felix Botner <botner@univention.de>  Thu, 20 Dec 2018 17:17:08 +0100

univention-nagios (12.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:40 +0100

univention-nagios (11.0.1-6) unstable; urgency=medium

  * Bug #47015: fix nagios.log permissions, again

 -- Felix Botner <botner@univention.de>  Wed, 16 May 2018 09:48:13 +0200

## univention-nagios 13.0.2-2A~5.0.0.202112031454

=== debian/changelog ===
univention-nagios (13.0.2-2A~5.0.0.202112031454) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Dec 2021 14:54:31 +0100

univention-nagios (13.0.2-2) unstable; urgency=medium

  * Bug #54186: free pages taken into account

 -- Fabian Wilhelm <wilhelm@univention.de>  Thu, 02 Dec 2021 09:50:36 +0100

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Print Server
#  rules file for the debian package
#
# Copyright 2004-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.
#
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DC=$(CURDIR)/debian/univention-nagios-client

override_dh_fixperms:
	dh_fixperms
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_joinstatus_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_ldap_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_winbind_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_nscd_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_slapd_mdb_maxsize_suidwrapper

%:
	dh $@ --with ucr

## univention-nagios 13.0.2-5A~5.0.0.202112211458

=== debian/changelog ===
univention-nagios (13.0.2-5A~5.0.0.202112211458) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 21 Dec 2021 14:58:27 +0100

univention-nagios (13.0.2-5) unstable; urgency=medium

  * Bug #52258: Version bump

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Tue, 21 Dec 2021 14:47:52 +0100

univention-nagios (13.0.2-4) unstable; urgency=medium

  * Bug #52258: Version bump

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Tue, 21 Dec 2021 12:49:44 +0100

univention-nagios (13.0.2-3) unstable; urgency=medium

  * Bug #52258: Migrate from python2 to python3

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Mon, 20 Dec 2021 12:33:13 +0100

## univention-nagios 13.0.2-6A~5.0.0.202205061557

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-nagios (13.0.2-6A~5.0.0.202205061557) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 06 May 2022 15:57:02 +0200

univention-nagios (13.0.2-6) unstable; urgency=medium

  * Bug #53681: fix nagios configuration files

 -- Florian Best <best@univention.de>  Tue, 03 May 2022 18:40:16 +0200

=== debian/control ===
Source: univention-nagios
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 python-all,
 univention-config-dev (>= 15.0.3),
Standards-Version: 3.8.2

Package: univention-nagios-client
Architecture: any
Depends:
 cron,
 dnsutils,
 dpt-i2o-raidutils,
 lmdb-utils,
 monitoring-plugins,
 nagios-nrpe-server,
 shell-univention-lib,
 univention-base-files,
 univention-config,
 univention-directory-listener,
 univention-directory-manager-tools (>> 7.0.147),
 univention-nagios-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Conflicts:
 nagios2 (<< 3.0),
Breaks:
 nagios2 (<< 3.0),
Description: UCS: nagios client support
 This package installs the required packages to allow clients
 to be monitored by nagios.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-nagios-common
Architecture: any
Depends:
 shell-univention-lib,
 univention-config,
 univention-directory-listener,
 univention-directory-manager-tools (>> 7.0.147),
 ${misc:Depends},
Conflicts:
 nagios2 (<< 3.0),
Breaks:
 nagios2 (<< 3.0),
Description: UCS: nagios client support
 This package installs the required packages to allow clients
 to be monitored by nagios.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Print Server
 #  rules file for the debian package
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-nagios 13.0.3-1A~5.0.0.202206231925

=== debian/changelog ===
univention-nagios (13.0.3-1A~5.0.0.202206231925) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 23 Jun 2022 19:25:23 +0200

univention-nagios (13.0.3-1) unstable; urgency=medium

  * Bug #54748: add dependencies to monitoring packages

 -- Florian Best <best@univention.de>  Thu, 23 Jun 2022 18:46:37 +0200

## univention-nagios 13.0.3-2A~5.0.0.202207061345

=== debian/changelog ===
univention-nagios (13.0.3-2A~5.0.0.202207061345) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 06 Jul 2022 13:45:59 +0200

univention-nagios (13.0.3-2) unstable; urgency=medium

  * Bug #54919: fix nmblookup call

 -- Florian Best <best@univention.de>  Wed, 06 Jul 2022 13:25:56 +0200

## univention-nagios 13.0.5-1A~5.0.0.202302031935

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 #
-# Copyright 2004-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-nagios (13.0.5-1A~5.0.0.202302031935) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 19:35:51 +0100

univention-nagios (13.0.5-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:42 +0100

univention-nagios (13.0.4-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Wed, 28 Sep 2022 19:52:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention Print Server
 #  rules file for the debian package
 #
-# Copyright 2004-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-nagios 13.0.5-2

=== debian/changelog ===
univention-nagios (13.0.5-2) unstable; urgency=medium

  * Bug #56354: do not leak password in process list during
    check_univention_joinstatus

 -- Florian Best <best@univention.de>  Wed, 25 Oct 2023 11:23:21 +0200

## univention-nagios 13.0.11-1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-nagios (13.0.11-1) unstable; urgency=medium

  * Bug #58719: Improve metric in check_univention_slapd_mdb_maxsize

 -- Johannes Königer <koeniger@univention.de>  Thu, 15 Oct 2025 12:00:52 +0200

univention-nagios (13.0.10-1) UNRELEASED; urgency=medium

  * Bug #58002 UCS 5.0-10 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 04 Mar 2025 07:58:52 +0100

univention-nagios (13.0.9-1) UNRELEASED; urgency=medium

  * Bug #57581 UCS 5.0-9 version bump

 -- Arvid <requate@univention.de>  Thu, 12 Sep 2024 13:18:38 +0200

univention-nagios (13.0.8-1) UNRELEASED; urgency=medium

  * Bug #57350 UCS 5.0-8 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 03 Jun 2024 13:44:16 +0200

univention-nagios (13.0.7-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:45 +0100

univention-nagios (13.0.6-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:37 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  univention-config,
  univention-directory-listener,
  univention-directory-manager-tools (>> 7.0.147),
+ univention-monitoring-client,
  univention-nagios-common (= ${binary:Version}),
  ${misc:Depends},
  ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-nagios 14.0.1A~5.1.0.202402201139

=== debian/changelog ===
univention-nagios (14.0.1A~5.1.0.202402201139) ucs5-1-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 20 Feb 2024 11:39:30 +0100

univention-nagios (14.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Tue, 20 Feb 2024 08:51:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
- debhelper,
- python-all,
+ debhelper-compat (=13),
  univention-config-dev (>= 15.0.3),
 Standards-Version: 3.8.2
 
@@ -25,7 +24,6 @@
  univention-monitoring-client,
  univention-nagios-common (= ${binary:Version}),
  ${misc:Depends},
- ${python:Depends},
  ${shlibs:Depends},
 Conflicts:
  nagios2 (<< 3.0),

## univention-nagios 15.0.4

=== debian/changelog ===
univention-nagios (15.0.4) unstable; urgency=medium

  * Bug #56858: replace transitional packages

 -- Christian Castens <castens@univention.de>  Thu, 30 May 2024 10:53:32 +0200

univention-nagios (15.0.3) unstable; urgency=medium

  * Bug #46120: rebase univention-nagios UCR templates

 -- Marius Meschter <marius.meschter@univention.de>  Fri, 08 Mar 2024 00:18:32 +0100

univention-nagios (15.0.2) unstable; urgency=medium

  * Bug #56580: nagios check_ldap -y has been replaced with
    LDAP_PASSWORD environment variable

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:23 +0100

univention-nagios (15.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:15 +0100

univention-nagios (14.0.6) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:20 +0100

univention-nagios (14.0.5) unstable; urgency=medium

  * Bug #56367: remove UDM integration for Nagios server

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:02 +0100

univention-nagios (14.0.4) unstable; urgency=medium

  * Bug #55997: replace obsolete ldap client utility options (-h/-p)

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:46 +0100

univention-nagios (14.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:37 +0100

univention-nagios (14.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:21 +0100

## univention-nagios 15.3.1

=== Makefile ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

SRC := $(wildcard usr/lib/nagios/plugins/check_univention_*_suidwrapper.c)
BIN := $(patsubst %.c,%,$(SRC))

all: $(BIN)

clean:
	$(RM) $(BIN)

=== debian/changelog ===
univention-nagios (15.3.1) unstable; urgency=medium

  * Bug #58668: Improve check_univention_slapd_mdb_maxsize

 -- Arvid Requate <requate@univention.de>  Tue, 30 Sep 2025 16:08:55 +0200

univention-nagios (15.3.0) unstable; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:21 +0200

univention-nagios (15.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:50 +0200

univention-nagios (15.0.5-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: univention-nagios-client
 Architecture: any
 Depends:
+ bind9-dnsutils,
  cron,
- dnsutils,
  dpt-i2o-raidutils,
  lmdb-utils,
  monitoring-plugins,

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Print Server
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only
#
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DC=$(CURDIR)/debian/univention-nagios-client

override_dh_fixperms:
	dh_fixperms
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_joinstatus_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_ldap_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_winbind_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_nscd_suidwrapper
	chmod u+s ${DC}/usr/lib/nagios/plugins/check_univention_slapd_mdb_maxsize_suidwrapper

%:
	dh $@ --with ucr

## univention-nagios 15.4.0

=== debian/changelog ===
univention-nagios (15.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:02 +0100
